{RXVW Shell for ResX Views}

{To compile in Think Pascal:}

{   1) Set Project Type to 'Code Resource' }
{   2) Set the File TYPE to 'RXXT' and File Creator to 'ResX'}
{   3) Set the Resource TYPE to 'RXVW' }
{   4) Set the Resource NAME to the resource type you are making a view for. }
{        If you are making an ICON editor/viewer, set the name to 'ICON' }
{   5) Add this file, DRVRRuntime.lib, and Interface.lib to the project }
{   6) Compile the code resource. }
{   7) Install it in ResX via the 'Externals->Install' menu. }



unit ShowCursor;


interface
	procedure main (ResHandle: Handle);  {Handle of the current selected resource}


implementation
	procedure main;
		var
			fileID, rsrID: integer;
			rsrType: ResType;
			rsrName: Str255;
			HState: SignedByte;

	begin

     {Only the Handle to the resource is given.  If you need info, do this:  }
		GetResInfo(ResHandle, rsrID, rsrType, rsrName);      {Get the resource info of the handle}

     {If you want access to the file owned by the resource do this: }
		fileID := HomeResFile(ResHandle);                               {Find out the file id of the resource}

		HState := HGetState(ResHandle);       {This is mandatory!}
		LoadResource(ResHandle);                 {This is necessary if you plan to use it. }
                                                              {ResX doesn't load it.}



     {.......}
     {main code here}
     {.......}



		HSetState(ResHandle, HState);          {This is mandatory!}

     {Do NOT release the resource or dispose the handle, ResX will do it if necessary. }
     {This is critical in case the resource is being used by a currently running application. }

	end;
end.